| Qore FtpPollerUtil Module Reference 1.0

Public Attributes | List of all members
FtpPoller::FtpPollerFileEventInfo Struct Reference

FtpPoller file event hash. More...

## Public Attributes
data | data
| The file's data. More...
string | filepath
| The remote filepath relative to FTP root directory.
date | mtime
| The last modified date/time of the file.
string | name
| The name of the file, link, or directory.
int | size
| The size of the file in bytes.

## Detailed Description

FtpPoller file event hash.

## Member Data Documentation

## ◆ data

data FtpPoller::FtpPollerFileEventInfo::data

The file's data.

this will be a string unless the "binary" option is set to True, in which case this key is assigned to the file's binary data